databaseChangeLog:
  - include:
      file: db/changelog/tenant/1-initial-schema.changelog.yaml
  - include:
      file: db/changelog/tenant/2-ignored-hint-color.changelog.yaml
  - include:
      file: db/changelog/tenant/3-added-annotation-modification-date.changelog.yaml
  - include:
      file: db/changelog/tenant/4-archived-dossier.changelog.yaml
  - include:
      file: db/changelog/tenant/5-excluded-from-automatic-analysis-file-column.changelog.yaml
  - include:
      file: db/changelog/tenant/6-dossier-status-table.changelog.yaml
  - include:
      file: db/changelog/tenant/7-json-column-mapping.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/7.1-set-json-fields.sql
  - include:
      file: db/changelog/tenant/sql/7.2-set-dossier-status.sql
  - include:
      file: db/changelog/tenant/9-changed-annotation-modification-date.changelog.yaml
  - include:
      file: db/changelog/tenant/10-added-file-manipulation-date.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/10-set-file-manipulation-date.sql
  - include:
      file: db/changelog/tenant/11-added-dictionary_false_positive_tables.changelog.yaml
  - include:
      file: db/changelog/tenant/12-dossier-visibility.changelog.yaml
  - include:
      file: db/changelog/tenant/12-added-rank-dossier-status.changelog.yaml
  - include:
      file: db/changelog/tenant/13-file-manual-change-date.changelog.yaml
  - include:
      file: db/changelog/tenant/release-3.2.0/1-add-index-on-dictionary-entry.changelog.yaml
  - include:
      file: db/changelog/tenant/14-add-redaction-source-id.changelog.yaml
  - include:
      file: db/changelog/tenant/15-dossier-remove-dossier-state.changelog.yaml
  - include:
      file: db/changelog/tenant/16-added-has-dictionary-to-entities.changelog.yaml
  - include:
      file: db/changelog/tenant/17-digital-signature-kms.changelog.yaml
  - include:
      file: db/changelog/tenant/18-add-migration-table.yaml
  - include:
      file: db/changelog/tenant/19-added-has-highlights-to-file.changelog.yaml
  - include:
      file: db/changelog/tenant/20-add-index-information-table.yaml
  - include:
      file: db/changelog/tenant/21-added-auto-hide-skipped-to-entities.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/22-update-file-dossier-attributes.sql
  - include:
      file: db/changelog/tenant/22-add-soft-delete-time-to-entity.changelog.yaml
  - include:
      file: db/changelog/tenant/23-quartz.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/24.0-clean-up-duplicate-dictionary-entries.sql
  - include:
      file: db/changelog/tenant/24-add-unique-constraint-for-dictionary.yaml
  - include:
      file: db/changelog/tenant/release-3.3.12/1-fix-dossier-dictionary.sql
  - include:
      file: db/changelog/tenant/25-add-index-to-dictionary-entry-tables.yaml
  - include:
      file: db/changelog/tenant/26-application-config-table.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/26-initiliaze-application-configuration-table.sql
  - include:
      file: db/changelog/tenant/sql/27-update-soft-delete-date.sql
  - include:
      file: db/changelog/tenant/28-add-update-dictionary-to-manual-resize-redactions.yaml
  - include:
      file: db/changelog/tenant/sql/30-change-bigint-to-serial.sql
  - include:
      file: db/changelog/tenant/31-add-file-size-column.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/31-watermark-configuration.sql
  - include:
      file: db/changelog/tenant/32-added-skipped-color-type-table.changelog.yaml
  - include:
      file: db/changelog/tenant/33-add-file-processing-error-counter-column.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/33-set-file-processing-error-counter.sql
  - include:
      file: db/changelog/tenant/34-add-reports-information-column.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/35-update-skipped-color-existing-types.sql
  - include:
      file: db/changelog/tenant/36-revert-reports-information-column.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/37-update-colors.sql
  - include:
      file: db/changelog/tenant/sql/38-update-soft-deleted-processed-flag.sql
  - include:
      file: db/changelog/tenant/sql/39-update-manual-redaction-source-id.sql
  - include:
      file: db/changelog/tenant/release-3.3.13/1-update-soft-deleted-processed-flag.sql
  - include:
      file: db/changelog/tenant/release-3.3.14/1-bump-rules-version.sql
  - include:
      file: db/changelog/tenant/40-remove-quartz.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/41-update-ocr-file-columns.sql
  - include:
      file: db/changelog/tenant/sql/42-add-encoding-column-file-attribute-config.sql
  - include:
      file: db/changelog/tenant/43-add-reports-information-column.changelog.yaml
  - include:
      file: db/changelog/tenant/44-add-redaction-preview-color-column.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/43-add-applied-redaction-color.sql
  - include:
      file: db/changelog/tenant/sql/45-unique-dossier-name.sql
  - include:
      file: db/changelog/tenant/101-spring-acl.changelog.yaml
  - include:
      file: db/changelog/tenant/102-custom-permissions-acl.changelog.yaml
  - include:
      file: db/changelog/tenant/sql/201-acl-duplicate-cleanup.sql
  - include:
      file: db/changelog/tenant/sql/202-acl-duplicate-cleanup.sql
  - include:
      file: db/changelog/tenant/sql/46-add-keep_image_metadata.sql
  - include:
      file: db/changelog/tenant/sql/47-add-keep_hidden_text.sql
  - include:
      file: db/changelog/tenant/sql/203-acl-duplicate-cleanup.sql
  - include:
      file: db/changelog/tenant/sql/203-migration-fix-acl-duplicate-cleanup.sql
  - include:
      file: db/changelog/tenant/sql/203-spring-acl-constraints.changelog.sql
  - include:
      file: db/changelog/tenant/48-add-watermark-text-alignment.yaml
  - include:
      file: db/changelog/tenant/sql/49-add-keep_overlapping_objects.sql
  - include:
      file: db/changelog/tenant/sql/204-big-int-to-serial-for-remaining-tables.sql
  - include:
      file: db/changelog/tenant/50-add-file-status-error-info.yaml
  - include:
      file: db/changelog/tenant/51-add-dossier-dictionary-only-flag.yaml
  - include:
      file: db/changelog/tenant/103-added-remove-from-all-dossier-to-manual-remove-redaction.yaml
  - include:
      file: db/changelog/tenant/104-added-add-to-all-dossier-to-manual-add-redaction.yaml
  - include:
      file: db/changelog/tenant/52-add-file-status-error-timestamp.yaml
  - include:
      file: db/changelog/tenant/53-add-apply_dictionary_updates_to_all_dossiers_to_dossier_template.yaml
  - include:
      file: db/changelog/tenant/104-add-ocr-by-default-to-dossier-template.yaml
  - include:
      file: db/changelog/tenant/105-add-remove-watermark-to-dossier-template.yaml
  - include:
      file: db/changelog/tenant/106-add-add-to-all-dossiers-to-resize-redactions.yaml
  - include:
      file: db/changelog/tenant/107-add-last-layout-processed-column.yaml
  - include:
      file: db/changelog/tenant/108-added-dictionary-changes-to-manual-recategorization.yaml
  - include:
      file: db/changelog/tenant/109-add-rules-timeout-detected-column.yaml
  - include:
      file: db/changelog/tenant/110-add-rules-file-type.yaml
  - include:
      file: db/changelog/tenant/111-make-rule-values-non-nullable.yaml
  - include:
      file: db/changelog/tenant/112-modify-section-length.yaml
  - include:
      file: db/changelog/tenant/114-add-download-redaction-file-status-table.yaml
  - include:
      file: db/changelog/tenant/115-add-saas-migration-status-table.yaml
  - include:
      file: db/changelog/tenant/116-fix-null-fields-in-manual-redaction-table.yaml
  - include:
      file: db/changelog/tenant/117-add-download-status-error-cause.yaml
  - include:
      file: db/changelog/tenant/117-add-last-flag-calculation-date-to-file.yaml
  - include:
      file: db/changelog/tenant/118-delete-unapproved-manual-changes-and-drop-column-status.yaml
  - include:
      file: db/changelog/tenant/119-set-add-to-all-dossiers-correctly-in-manual-redaction-table.yaml
  - include:
      file: db/changelog/tenant/120-add-legal-basis-change-to-manual-recategorization.yaml
  - include:
      file: db/changelog/tenant/sql/205-add-dossier-dictionaries-as-entity.sql
  - include:
      file: db/changelog/tenant/121-set-dictionary-entry-type-for-dictionary-adds-where-null.yaml
  - include:
      file: db/changelog/tenant/sql/206-remove-manual-redactions-on-non-existing-pages.sql
  - include:
      file: db/changelog/tenant/122-add-legal-basis-variables-to-recategorize.yaml
  - include:
      file: db/changelog/tenant/123-add-value-to-recategorize.yaml
  - include:
      file: db/changelog/tenant/124-create-migration-required-status-for-each-present-file.yaml
  - include:
      file: db/changelog/tenant/sql/207-acl-migration-cleanup.sql
  - include:
      file: db/changelog/tenant/125-drop-not-null-for-legal-basis-in-manual-recategorization.yaml
  - include:
      file: db/changelog/tenant/126-add-uuid-to-download-status.yaml
  - include:
      file: db/changelog/tenant/130-add-primary-key-constraint-download-status-reports.yaml
  - include:
      file: db/changelog/tenant/125-add-max-size-for-legal-basis-in-manual-legal-basis-change.yaml
  - include:
      file: db/changelog/tenant/126-add-experimental-flag-to-entity.yaml
  - include:
      file: db/changelog/tenant/127-add-component-mapping-table.yaml
  - include:
      file: db/changelog/tenant/128-add-component-mapping-versions-to-file.yaml
  - include:
      file: db/changelog/tenant/129-add-component-table.yaml
  - include:
      file: db/changelog/tenant/131-changed-max-size-for-id-in-entity.yaml
  - include:
      file: db/changelog/tenant/132-add-based-on-dict-annotation-id-to-manual_changes.yaml
  - include:
      file: db/changelog/tenant/133-add-technical-name-to-legal_basis.yaml
  - include:
      file: db/changelog/tenant/139-add-based-on-dict-annotation-id-to-manual_force_changes.yaml
  - include:
      file: db/changelog/tenant/140-add-hard-delete-cleanup-retry-time-to-application-configuration.yaml
  - include:
      file: db/changelog/tenant/141-add-overwrite-file-counter-to-file.yaml
  - include:
      file: db/changelog/tenant/142-add-date-formats-table.yaml
  - include:
      file: db/changelog/tenant/143-modify-download-redaction-file-status-details.yaml
  - include:
      file: db/changelog/tenant/144-add-error-code-to-file.yaml
  - include:
      file: db/changelog/tenant/145-add-protobuf-migration-done-to-file.yaml
  - include:
      file: db/changelog/tenant/146-add-indexes-to-file-table.yaml
  - include:
      file: db/changelog/tenant/147-add-layout-parsing-type-to-dossier-template.yaml
  - include:
      file: db/changelog/tenant/148-add-quotechar-to-component-mapping.yaml
  - include:
      file: db/changelog/tenant/149-remove-based-on-dict-annotation-id-columns.yaml
  - include:
      file: db/changelog/tenant/149-add-indexes-across-tables-for-performance.yaml
  - include:
      file: db/changelog/tenant/150-add-component-mapping-indexes.yaml
  - include:
      file: db/changelog/tenant/151-drop-saas-migration-table.changelog.yaml
  - include:
      file: db/changelog/tenant/152-add-ai-fields-to-entity.yaml
  - include:
      file: db/changelog/tenant/153-custom-technical-name-change.yaml
  - include:
      file: db/changelog/tenant/155-add-displayed-and-filterable-to-dossier-attribute-config.yaml
  - include:
      file: db/changelog/tenant/156-add-last-download-to-file.yaml
  - include:
      file: db/changelog/tenant/157-add-included-to-csv-export-field.yaml
  - include:
      file: db/changelog/tenant/158-add-app-version-history-table-and-layout-parser-version-field-to-file.yaml
  - include:
      file: db/changelog/tenant/159-cleanup-truncated-indices.yaml
